Description: Fix collections imports
 Python 3.10 moved some deprecated functions to the Collections Abstract Base
 Classes, so correct the imports so the package builds again.
Author: Steev Klimaszewski <steev@kali.org>
Last-Update: 2023-04-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
---
diff --git a/graphene/relay/connection.py b/graphene/relay/connection.py
index 047f2b4de2bb..18ce5dfbdb75 100644
--- a/graphene/relay/connection.py
+++ b/graphene/relay/connection.py
@@ -1,5 +1,6 @@
 import re
-from collections import Iterable, OrderedDict
+from collections.abc import Iterable
+from collections import OrderedDict
 from functools import partial
 
 from graphql_relay import connection_from_list
diff --git a/graphene/types/field.py b/graphene/types/field.py
index 7f63a853505f..c4a187face9a 100644
--- a/graphene/types/field.py
+++ b/graphene/types/field.py
@@ -1,5 +1,6 @@
 import inspect
-from collections import Mapping, OrderedDict
+from collections.abc import Mapping
+from collections import OrderedDict
 from functools import partial
 
 from .argument import Argument, to_arguments
diff --git a/graphene/utils/crunch.py b/graphene/utils/crunch.py
index 57fcb77fe999..b27d3718e623 100644
--- a/graphene/utils/crunch.py
+++ b/graphene/utils/crunch.py
@@ -1,5 +1,5 @@
 import json
-from collections import Mapping
+from collections.abc import Mapping
 
 
 def to_key(value):
diff --git a/graphene/utils/deduplicator.py b/graphene/utils/deduplicator.py
index 13c1cb163a05..c578d5573b47 100644
--- a/graphene/utils/deduplicator.py
+++ b/graphene/utils/deduplicator.py
@@ -1,4 +1,5 @@
-from collections import Mapping, OrderedDict
+from collections.abc import Mapping
+from collections import OrderedDict
 
 
 def deflate(node, index=None, path=None):
